include StarEngine

font = Font.new("MS UI Gothic", 12)
color = Color.new(255, 255, 255)

Game.run do

  screen = Screen.offscreen
  
  screen.clear
  
  screen.render_text("Keyboard:", 8, 8, font, color)
  screen.render_text(Input.pressed_keys(:keyboard).inspect, 8 + 16, 8 + 16, font, color)
  
  screen.render_text("Game Pad:", 8, 8 + 32, font, color)
  screen.render_text(Input.pressed_keys(:game_pad).inspect, 8 + 16, 8 + 48, font, color)
  
  screen.render_text("Mouse:", 8, 8 + 64, font, color)
  screen.render_text(Input.pressed_keys(:mouse).inspect, 8 + 16, 8 + 80, font, color)
  x, y = Input.mouse_location
  screen.render_text("(#{x}, #{y})", x, y, font, color)

end

